GD Culture Group Limited

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/gd-culture-group-limited/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/gd-culture-group-limited/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1757980800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://gdculture.gcs-web.com/news-releases/news-release-details/gd-culture-enters-share-exchange-agreement-acquire-pallas",
    "holding_balance": 7500.0,
    "holding_net_change": 7500.0,
    "transaction_value_usd": 841504760.0,
    "average_entry_value_usd": 112200.63,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/gd-culture-group-limited/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    7500.0
  ],
  [
    1779062400000,
    7500.0
  ],
  [
    1779148800000,
    7500.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/gd-culture-group-limited/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    580723950.0
  ],
  [
    1779062400000,
    577082025.0
  ],
  [
    1779148800000,
    575700075.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/gd-culture-group-limited/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.13,
    "date": "2026-05-15",
    "high": 0.158,
    "open": 0.139,
    "close": 0.147,
    "volume": 42574800
  },
  {
    "low": 0.132,
    "date": "2026-05-18",
    "high": 0.15,
    "open": 0.147,
    "close": 0.144,
    "volume": 38273600
  },
  {
    "low": 0.1326,
    "date": "2026-05-19",
    "high": 0.1417,
    "open": 0.1366,
    "close": 0.1405,
    "volume": 10224270
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/gd-culture-group-limited/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gd-culture-group-limited/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -96.49,
  "six_month_return": -96.98,
  "three_month_return": -96.04
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gd-culture-group-limited/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 6579.9,
  "total_btc_percentage": 0.036,
  "share_price_change_state": "down"
}